#### Previous topic

scipy.spatial.distance.chebyshev

#### Next topic

scipy.spatial.distance.correlation

# scipy.spatial.distance.cityblock

`scipy.spatial.distance.``cityblock`(u, v)

  Computes the City Block (Manhattan) distance.

  Computes the Manhattan distance between two 1-D arrays u and v, which is defined as

  \[\sum_i {\left| u_i - v_i \right|}.\]

  Parameters:

  u : (N,) array_like

  > Input array.

  v : (N,) array_like

  > Input array.

  Returns:

  cityblock : double

  > The City Block (Manhattan) distance between vectors u and v.